package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.db.DataBaseActionResult;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.conveyStand.QueryCheckStandReq;
import org.wcs.model.po.app.AppConveyCheckStand;

import java.util.List;

/**
 * 输送线复核台数据库操作类
 */
public interface AppConveyCheckStandService extends IService<AppConveyCheckStand> {

    Tuple2<Long, List<AppConveyCheckStand>> query(QueryCheckStandReq request, Integer pageSize, Integer pageIndex);
    List<AppConveyCheckStand> queryByStandId(String standId); // 根据站台ID查询
    DataBaseActionResult<Integer> insert(AppConveyCheckStand appConveyCheckStand); // 添加一条数据
    DataBaseActionResult<Integer> deleteByStandId(String standId); // 删除一条数据
    DataBaseActionResult<Integer> update(AppConveyCheckStand appConveyCheckStand); // 修改一条数据
}
